/**********************************************
	range_migration.c

	s-s_c = (f-f_Dc)/f_R

	delta_R= -(lambda/2)*f_Dc(f-f_Dc)/f_R
		-(lambda/4/f_R(s-s_c)^2

by Dr. Hoonyol Lee
Dept. of Geophysics
Kangwon National University
start: 22 May 2004
***********************************************/

void range_migration()
{
 	int i, j, ix;
	double delta_R, delta_f;
	double Nyquist_frequency;
	double f;

	Nyquist_frequency = pulse_repetition_frequency;
	delta_f = pulse_repetition_frequency/nazimuth_fft;
	
	for(i=0; i<nazimuth_fft; i++)
	{
	   f= i*delta_f;
	   for(j=0; j<nrange_fft; j++)
	   {
		delta_R= -1.*wavelength*Doppler_centroid
			*(f-Doppler_centroid) -
			wavelength/4./Doppler_rate*
			(f-Doppler_centroid)*(f-Doppler_centroid);
	 
	   }
	}
	
	
}


